Vulnerabilities > CVE-2022-2696 - Missing Authorization vulnerability in Oracle Restaurant Menu - Food Ordering System - Table Reservation

047910
CVSS 6.5 - MEDIUM
Attack vector
NETWORK
Attack complexity
LOW
Privileges required
LOW
Confidentiality impact
NONE
Integrity impact
HIGH
Availability impact
NONE
network
low complexity
oracle
CWE-862

Summary

The Restaurant Menu – Food Ordering System – Table Reservation plugin for WordPress is vulnerable to authorization bypass via several AJAX actions in versions up to, and including 2.3.0 due to missing capability checks and missing nonce validation. This makes it possible for authenticated attackers with minimal permissions to perform a wide variety of actions such as modifying the plugin's settings and modifying the ordering system preferences.

Vulnerable Configurations

Part Description Count
Application
Oracle
34

Common Weakness Enumeration (CWE)